ZWTextInternal::State Struct Reference

Internal: the state of a ZWText. More...

## Public Member Functions

| State ()
| constructor More...
Section & | getSection (int id)
| return a section for an id ( if it does not exists, create id ) More...

## Public Attributes

int | m_version
| the file version More...
int | m_numPages
int | m_actualPage
std::map< int, Section > | m_idSectionMap
| a map id -> section More...
HFZone | m_header
| the header zone More...
HFZone | m_footer
| the footer zone More...

## Detailed Description

Internal: the state of a ZWText.

## Constructor & Destructor Documentation

ZWTextInternal::State::State | ( |  | ) |

inline

constructor

## Member Function Documentation

Section& ZWTextInternal::State::getSection | ( | int | id | ) |

inline

return a section for an id ( if it does not exists, create id )

## Member Data Documentation

int ZWTextInternal::State::m_actualPage

HFZone ZWTextInternal::State::m_footer

the footer zone

HFZone ZWTextInternal::State::m_header

the header zone

std::map<int, Section> ZWTextInternal::State::m_idSectionMap

a map id -> section

Referenced by getSection().

int ZWTextInternal::State::m_numPages

int ZWTextInternal::State::m_version

mutable

the file version

The documentation for this struct was generated from the following file:

- ZWText.cxx